%define oname   DustRacing2D

Name:           dustrac
Version:        2.1.0
Release:        %mkrel 2
Summary:        Dust Racing 2D is a traditional top-down car racing game including a level editor
Group:          Games/Sports
License:        GPLv3+
URL:            https://juzzlin.github.io/DustRacing2D
Source0:        https://github.com/juzzlin/DustRacing2D/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  qttools5

Requires:       qt5-database-plugin-sqlite

%description
Dust Racing 2D (dustrac) is an open source, tile-based 2D racing game
developed by Jussi Lind and contributors.

The purpose of the game is to race against challenging computer players on
different race tracks. Finishing in TOP-6 will unlock a new race track.
Only a small portion of the race track is visible on the scrolling screen.

There's also an option for a split-screen two player game. Dust Racing 2D
comes with a Qt-based level editor that makes creating new race tracks easy.

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake_qt5 \
       -DReleaseBuild=1 \
       -DBUILD_SHARED_LIBS=OFF \
       -DBIN_PATH=%{_gamesbindir} \
       -DDATA_PATH=%{_gamesdatadir}/%{name} \
       -DDOC_PATH=%{_docdir}/%{name}
%cmake_build

%install
%cmake_install

# Hicolor is sufficient
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%{_gamesbindir}/%{name}-editor
%{_gamesbindir}/%{name}-game
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}*.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_docdir}/%{name}/
%{_iconsdir}/hicolor/64x64/apps/%{name}*.png


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 2.1.0-2.mga8
+ Revision: 1658336
- Rebuild for new Qt5

* Tue Nov 03 2020 akien <akien> 2.1.0-1.mga8
+ Revision: 1642192
- Version 2.1.0

* Mon Oct 19 2020 akien <akien> 2.0.5-1.mga8
+ Revision: 1637002
- Version 2.0.5

* Sat Feb 15 2020 umeabot <umeabot> 2.0.1-5.mga8
+ Revision: 1524570
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 2.0.1-4.mga7
+ Revision: 1381610
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-3.mga7
+ Revision: 1297526
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 daviddavid <daviddavid> 2.0.1-2.mga7
+ Revision: 1234909
- add patch to fix build with new Qt5 >= 5.11.0

* Fri Mar 09 2018 akien <akien> 2.0.1-1.mga7
+ Revision: 1207609
- Version 2.0.1
- Improve description

* Sun Dec 18 2016 akien <akien> 1.12.0-1.mga6
+ Revision: 1075995
- Version 1.12.0

* Sun Feb 14 2016 umeabot <umeabot> 1.11.0-2.mga6
+ Revision: 959975
- Mageia 6 Mass Rebuild

* Tue Jun 23 2015 akien <akien> 1.11.0-1.mga6
+ Revision: 839936
- Version 1.11.0

* Mon Jan 19 2015 akien <akien> 1.9.2-1.mga5
+ Revision: 811439
- Version 1.9.2

* Fri Jan 02 2015 akien <akien> 1.9.1-1.mga5
+ Revision: 808034
- Version 1.9.1

* Thu Nov 20 2014 akien <akien> 1.8.3-1.mga5
+ Revision: 797936
- Version 1.8.3

* Wed Oct 15 2014 umeabot <umeabot> 1.7.3-4.mga5
+ Revision: 742510
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.7.3-3.mga5
+ Revision: 726146
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.7.3-2.mga5
+ Revision: 678882
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 akien <akien> 1.7.3-1.mga5
+ Revision: 666655
- Maintenance version 1.7.3

* Sat Mar 29 2014 akien <akien> 1.7.2-1.mga5
+ Revision: 609580
- New version 1.7.2 adding French translation (and bugfix on a track)

* Sun Mar 23 2014 akien <akien> 1.7.1-2.mga5
+ Revision: 606665
- Add French translation

* Mon Mar 10 2014 akien <akien> 1.7.1-1.mga5
+ Revision: 601687
- New version 1.7.1

* Sat Feb 22 2014 akien <akien> 1.6.3-3.mga5
+ Revision: 595493
- Build libs statically (they are not packaged in the end)

* Fri Feb 21 2014 akien <akien> 1.6.3-2.mga5
+ Revision: 595207
- Qt5 build
- Use the proper %%cmake_qt5 macro. This should fail as long as the linking issue has not been fixed.

* Thu Feb 20 2014 akien <akien> 1.6.3-1.mga5
+ Revision: 595157
- Use cmake instead of %%cmake since the latter makes the build fail
- imported package dustrac

